Debian Bug report logs - #561350
djview3 - misplaced manual page. (man djview3: No manual entry for djview3)

version graph

Package: djview3; Maintainer for djview3 is Barak A. Pearlmutter <bap@debian.org>; Source for djview3 is src:djvulibre.

Reported by: Alexis Zennin <iskeusz@gmail.com>

Date: Wed, 16 Dec 2009 14:15:02 UTC

Severity: normal

Tags: patch

Found in version djvulibre/3.5.22-6

Fixed in version djvulibre/3.5.22-7

Done: bap@debian.org (Barak A. Pearlmutter)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bap@debian.org (Barak A. Pearlmutter):
Bug#561350; Package djview3. (Wed, 16 Dec 2009 14:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexis Zennin <iskeusz@gmail.com>:
New Bug report received and forwarded. Copy sent to bap@debian.org (Barak A. Pearlmutter). (Wed, 16 Dec 2009 14:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexis Zennin <iskeusz@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: djview3 - misplaced manual page. (man djview3: No manual entry for djview3)
Date: Wed, 16 Dec 2009 20:08:56 +0600
[Message part 1 (text/plain, inline)]
Package: djview3
Version: 3.5.22-6
Severity: normal
Tags: patch

A man directory is made in the root directory where it should not be, and a man page is placed in it.
Also man has no trace of the page.
The man page should be moved from /man1 to /usr/share/man/man1.


-- System Information:
Debian Release: squeeze/sid
 APT prefers testing-proposed-updates
 APT policy: (500, 'testing-proposed-updates'), (500, 'proposed-updates'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages djview3 depends on:
ii  libc6                         2.10.2-2   GNU C Library: Shared libraries
ii  libdjvulibre21                3.5.22-6   Runtime support for the DjVu image
ii  libgcc1                       1:4.4.2-3  GCC support library
ii  libice6                       2:1.0.6-1  X11 Inter-Client Exchange library
ii  libqt3-mt                     3:3.3.8b-6 Qt GUI Library (Threaded runtime v
ii  libsm6                        2:1.1.1-1  X11 Session Management library
ii  libstdc++6                    4.4.2-3    The GNU Standard C++ Library v3
ii  libx11-6                      2:1.3.2-1  X11 client-side library
ii  libxext6                      2:1.0.4-1  X11 miscellaneous extension librar

Versions of packages djview3 recommends:
ii  djvulibre-desktop             3.5.22-6   Desktop support for the DjVu image

Versions of packages djview3 suggests:
ii  djvulibre-bin                 3.5.22-6   Utilities for the DjVu image forma
ii  djvulibre-plugin              3.5.22-6   Browser plugin for the DjVu image 

-- no debconf information

------------------------------------------------------------------------

[djvulibre-3.5.22.patch (text/x-patch, inline)]
diff -r -u ./debian/djview3.install ../djvulibre-3.5.22/debian/djview3.install
--- ./debian/djview3.install	2008-09-07 04:25:55.000000000 +0700
+++ ../djvulibre-3.5.22/debian/djview3.install	2009-12-16 19:17:54.000000000 +0600
@@ -1,5 +1,5 @@
 usr/bin/djview3
 usr/share/djvu/djview3
-usr/share/man/{.,*}/man1/djview3.1
+usr/share/man/man1/djview3.1
 usr/share/applications
 usr/share/icons/hicolor/*/apps

Reply sent to bap@debian.org (Barak A. Pearlmutter):
You have taken responsibility. (Wed, 16 Dec 2009 19:51:19 GMT) Full text and rfc822 format available.

Notification sent to Alexis Zennin <iskeusz@gmail.com>:
Bug acknowledged by developer. (Wed, 16 Dec 2009 19:51:19 GMT) Full text and rfc822 format available.

Message #10 received at 561350-close@bugs.debian.org (full text, mbox):

From: bap@debian.org (Barak A. Pearlmutter)
To: 561350-close@bugs.debian.org
Subject: Bug#561350: fixed in djvulibre 3.5.22-7
Date: Wed, 16 Dec 2009 19:47:20 +0000
Source: djvulibre
Source-Version: 3.5.22-7

We believe that the bug you reported is fixed in the latest version of
djvulibre, which is due to be installed in the Debian FTP archive:

djview3_3.5.22-7_i386.deb
  to main/d/djvulibre/djview3_3.5.22-7_i386.deb
djview_3.5.22-7_i386.deb
  to main/d/djvulibre/djview_3.5.22-7_i386.deb
djvulibre-bin_3.5.22-7_i386.deb
  to main/d/djvulibre/djvulibre-bin_3.5.22-7_i386.deb
djvulibre-dbg_3.5.22-7_i386.deb
  to main/d/djvulibre/djvulibre-dbg_3.5.22-7_i386.deb
djvulibre-desktop_3.5.22-7_i386.deb
  to main/d/djvulibre/djvulibre-desktop_3.5.22-7_i386.deb
djvulibre-plugin_3.5.22-7_i386.deb
  to main/d/djvulibre/djvulibre-plugin_3.5.22-7_i386.deb
djvulibre_3.5.22-7.diff.gz
  to main/d/djvulibre/djvulibre_3.5.22-7.diff.gz
djvulibre_3.5.22-7.dsc
  to main/d/djvulibre/djvulibre_3.5.22-7.dsc
djvuserve_3.5.22-7_i386.deb
  to main/d/djvulibre/djvuserve_3.5.22-7_i386.deb
libdjvulibre-dev_3.5.22-7_i386.deb
  to main/d/djvulibre/libdjvulibre-dev_3.5.22-7_i386.deb
libdjvulibre-text_3.5.22-7_i386.deb
  to main/d/djvulibre/libdjvulibre-text_3.5.22-7_i386.deb
libdjvulibre21_3.5.22-7_i386.deb
  to main/d/djvulibre/libdjvulibre21_3.5.22-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 561350@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barak A. Pearlmutter <bap@debian.org> (supplier of updated djvulibre package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 16 Dec 2009 14:02:49 -0500
Source: djvulibre
Binary: libdjvulibre-dev libdjvulibre21 libdjvulibre-text djvulibre-dbg djvulibre-desktop djview3 djview djvuserve djvulibre-plugin djvulibre-bin
Architecture: source i386
Version: 3.5.22-7
Distribution: unstable
Urgency: low
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Changed-By: Barak A. Pearlmutter <bap@debian.org>
Description: 
 djview     - Transition package for djview to djview3
 djview3    - Viewer for the DjVu image format
 djvulibre-bin - Utilities for the DjVu image format
 djvulibre-dbg - Debug symbols for the DjVu image format
 djvulibre-desktop - Desktop support for the DjVu image format
 djvulibre-plugin - Browser plugin for the DjVu image format
 djvuserve  - CGI program for unbundling DjVu files on the fly
 libdjvulibre-dev - Development files for the DjVu image format
 libdjvulibre-text - Linguistic support files for libdjvulibre
 libdjvulibre21 - Runtime support for the DjVu image format
Closes: 551398 561350
Changes: 
 djvulibre (3.5.22-7) unstable; urgency=low
 .
   * patch typos (closes: #551398)
   * man page install (closes: #561350), note dh_installman would botch i18n
Checksums-Sha1: 
 b4672c6a901b6575cc871be6d9a6599739bb34bb 1421 djvulibre_3.5.22-7.dsc
 b5a3c994d9e73f6169d5284eb7dfd2344770d131 23037 djvulibre_3.5.22-7.diff.gz
 9c04976b00ae3f04c62484fe5489660ed586b3b9 1637990 libdjvulibre-dev_3.5.22-7_i386.deb
 7be4f47784b2a9ff28005f64c731d1c9d205ad25 682190 libdjvulibre21_3.5.22-7_i386.deb
 3e1814777e622004083b02243081b6bc9789636a 75116 libdjvulibre-text_3.5.22-7_i386.deb
 03a0b60c835383f8afc10a3757efb0d12bf6c18f 5852728 djvulibre-dbg_3.5.22-7_i386.deb
 c1616d0f57c9d85dfc732659238a384347f09647 32430 djvulibre-desktop_3.5.22-7_i386.deb
 8ea1d1581cf72e1b65b3fd03dcd5596abc36e6dc 516940 djview3_3.5.22-7_i386.deb
 15b0501fd8407b84cffc6761936bbebbbeeddb81 10890 djview_3.5.22-7_i386.deb
 cb9bab230c31041ed47844b40849d58049c7025d 33600 djvuserve_3.5.22-7_i386.deb
 b773011beef99a2dde7e6028f471cc4eed7843c1 37208 djvulibre-plugin_3.5.22-7_i386.deb
 e3c90cb360f8ac5da4e3e100e66220d22565875f 391194 djvulibre-bin_3.5.22-7_i386.deb
Checksums-Sha256: 
 957764b46e3aaf79b8ecf31794ce31b639956e50a91d46d95a1d27b408072bf1 1421 djvulibre_3.5.22-7.dsc
 01e38d241319fae17b93e4a823da0dfda3477ec2bdafe113a5f900b6556ee952 23037 djvulibre_3.5.22-7.diff.gz
 00556a6cb0980b73dd11c05234b57867ca0856219fcae0ea025e6f26e03ad7aa 1637990 libdjvulibre-dev_3.5.22-7_i386.deb
 801b4371c1983eb5696b5acc9bf9d5a71d5988103b48cee59eeb8fc39ddb9e60 682190 libdjvulibre21_3.5.22-7_i386.deb
 2670633501834e1f83eed010774121c8b2fbf0781767fed21a962d630c18d334 75116 libdjvulibre-text_3.5.22-7_i386.deb
 08c3b31a89d2d60d849bb0393387ec14c4ba68154dd3b217a6c569bc3c4efa2b 5852728 djvulibre-dbg_3.5.22-7_i386.deb
 34715178a0fffc1ae19676916572766367e868c20e66448b56bd071536a0a8f3 32430 djvulibre-desktop_3.5.22-7_i386.deb
 ddce88feb8b2788448ec8a85ee78b068a93a1ff57b835e4bf1e7fee0583a72c0 516940 djview3_3.5.22-7_i386.deb
 d6703ae785969f8e98ef7b74f06283c55ccb523917c4b1444cccb7656ece5620 10890 djview_3.5.22-7_i386.deb
 edfe6f39981d750dfe7215863563f111e355e955220878546227c2dcc2b4e9bb 33600 djvuserve_3.5.22-7_i386.deb
 2e5b429024e1a23f524d4711635e4d04208bd756e60181bcc41008a7d3de82f2 37208 djvulibre-plugin_3.5.22-7_i386.deb
 687ccb834e36996b2c7e5aab0b8a50f712bf621c0cb898ea6925ad222d616bab 391194 djvulibre-bin_3.5.22-7_i386.deb
Files: 
 eafa3650c8a61a6391af5475e71fd96b 1421 web optional djvulibre_3.5.22-7.dsc
 95f446962d0547fc6cba795338b30c0c 23037 web optional djvulibre_3.5.22-7.diff.gz
 aaff2f64fb5bf628b808651b736ba860 1637990 libdevel optional libdjvulibre-dev_3.5.22-7_i386.deb
 a76327f5881171de3ad2e723244df411 682190 libs optional libdjvulibre21_3.5.22-7_i386.deb
 a65413c7f149da4c590732e9f5c81355 75116 libs optional libdjvulibre-text_3.5.22-7_i386.deb
 d44a67d9d6a244a0d666f4f1d1c2cf1c 5852728 debug extra djvulibre-dbg_3.5.22-7_i386.deb
 288e339a5e42dceec441fdfd93eb8d26 32430 libs optional djvulibre-desktop_3.5.22-7_i386.deb
 a49517e9174219dbec580f0a94b194cd 516940 graphics optional djview3_3.5.22-7_i386.deb
 63cd137b3d5b8e6df47fff468cca5398 10890 graphics optional djview_3.5.22-7_i386.deb
 e73ce2711bf78972490db0be9e30cbcb 33600 web optional djvuserve_3.5.22-7_i386.deb
 c4c6e0b607ac4b06d2fce6b00febf3f4 37208 web optional djvulibre-plugin_3.5.22-7_i386.deb
 7f7ce7340d41b67c939b88eb585f728f 391194 graphics optional djvulibre-bin_3.5.22-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkspNkQACgkQLz4Gnv7CP7JqiACgm5bbERCt/uqRQUBCwLQAHK32
1DIAoIxXvm6mt3jIZ8bbgqUf5SI5R8Gb
=4T+i
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jan 2010 07:32:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:47:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.